(function (selector) {
    return Array.prototype.slice.call(document.querySelectorAll(selector), 0);
})('#pages_msite_body_contents #page_suggestions_on_liking').map(function (el) {
    return {
        likes: el.nextSibling.querySelector('.like_def').innerText.match(/\d/g).join(''),
        comments: el.nextSibling.querySelector('.cmt_def').innerText.match(/\d/g).join(''),
        date: el.nextSibling.querySelector('abbr').innerText,
        summary: el.nextSibling.querySelector('header').nextSibling.querySelector('span').innerText
    };
})